Auth

Change password

POST
/api/v1/auth/change-password

Change password.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

current_password*string
new_password*string
Length10 <= length <= 128

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/auth/change-password" \  -H "Content-Type: application/json" \  -d '{    "current_password": "string",    "new_password": "stringstri"  }'
{  "data": {    "message": "Done.",    "ok": true,    "resource_id": "string"  },  "meta": {},  "success": true}